# endpoint.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/manager.h>`
`#include <opal/mediafmt.h>`
`#include <opal/transports.h>`

Include dependency graph for endpoint.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalEndPoint
class | OpalEndPoint::ConnectionDict

## Functions

bool | OpalIsE164 (const PString &number, bool strict=false)
| Test for if string is a valid E.164 number.

## Function Documentation

bool OpalIsE164 | ( | const PString & | number,
|  | bool | strict = `false` |
| ) |  |  |

Test for if string is a valid E.164 number.

Parameters:

  number | Number to inspect
  strict | Strict interpretation, or allow leading '+'